Skip to content
Get started

Retrieve structured sheet

GET/v1/structured-sheets/{structured_sheet_id}

Get the status and details of a structured sheet conversion.

Path ParametersExpand Collapse
structured_sheet_id: string

The unique identifier of the structured sheet conversion.

ReturnsExpand Collapse
StructuredSheetResponse = object { id, created_at, file_id, 6 more }

Response representing a structured sheet conversion job.

This is returned from POST (create), GET (retrieve), and list endpoints.

id: string

The unique identifier for this structured sheet conversion.

created_at: string

The timestamp when the conversion was started.

formatdate-time
file_id: string

The unique identifier for the source file.

object: "structured_sheet"

The object type, which is always 'structured_sheet'.

status: "queued" or "in_progress" or "completed" or 2 more

The current processing status.

One of the following:
"queued"
"in_progress"
"completed"
"failed"
"cancelled"
updated_at: string

The timestamp when the conversion was last updated.

formatdate-time
last_error: optional object { code, message }

Error information when processing fails.

code: string

A machine-readable error code.

maxLength64
message: string

A human-readable description of the error.

maxLength1024
sheet_names: optional array of string

List of sheet names included in this conversion.

table_count: optional number

Number of tables extracted from the workbook. Only present when status is 'completed'.

minimum0

Retrieve structured sheet

curl https://api.deeptable.com/v1/structured-sheets/$STRUCTURED_SHEET_ID \
    -H "Authorization: Bearer $DEEPTABLE_API_KEY"
{
  "id": "ss_01kfxgjd94fn9stqm42nejb627",
  "created_at": "2024-01-15T10:30:00Z",
  "file_id": "file_01kfxgjd94fn9stqm414vjb0s8",
  "object": "structured_sheet",
  "status": "completed",
  "updated_at": "2024-01-15T10:35:00Z",
  "last_error": {
    "code": "invalid_file_format",
    "message": "The uploaded file is not a valid Excel spreadsheet."
  },
  "sheet_names": [
    "Sheet1",
    "Financials"
  ],
  "table_count": 6
}
Returns Examples
{
  "id": "ss_01kfxgjd94fn9stqm42nejb627",
  "created_at": "2024-01-15T10:30:00Z",
  "file_id": "file_01kfxgjd94fn9stqm414vjb0s8",
  "object": "structured_sheet",
  "status": "completed",
  "updated_at": "2024-01-15T10:35:00Z",
  "last_error": {
    "code": "invalid_file_format",
    "message": "The uploaded file is not a valid Excel spreadsheet."
  },
  "sheet_names": [
    "Sheet1",
    "Financials"
  ],
  "table_count": 6
}